@echo  off
cd %~dp0
setlocal EnableDelayedExpansion
Title Bauen Basics
::-----------------------------------------------------------------------------------------------------------------------------
::-----------------------------------------------------------------------------------------------------------------------------
echo %date:~0%
set Datum=%date:~8,2%%date:~3,2%%date:~0,2%
::set Datum=200514	
echo %Datum%

for /l %%m in (4900,1,9999) do (
if exist .\tools\mkgmap-r%%m set Pfad=.\tools\mkgmap-r%%m
)

if /I "%Pfad%" == "" (
echo Kein mkgmap!
echo Taste druecken zum schliessen
pause >nul
exit
)

::set Pfad=.\tools\mkgmap-mdr2-r4876

::-----------------------------------------------------------------------------------------------------------------------------
::-----------------------------------------------------------------------------------------------------------------------------

:: ---mit oder ohne splitter---

color 9b

:oben

echo 1 mit runterfahren
echo 2 ohne runterfahren
echo 3 Exit

set /P  Abfr=

if /i "%Abfr%" == "1" goto weiter
if /i "%Abfr%" == "2" goto weiter
if /i "%Abfr%" == "3" goto exit 0
goto oben

:weiter
cls
if /i "%abfr%" == "1" echo %time% - Los gehts - am Ende wird der PC runtergefahren
if /i "%abfr%" == "2" echo %time% - Los gehts - am Ende wird der PC nicht runtergefahren

::start .\OSM\Basics.bat

@ping -n 5 localhost> nul

::-----------------------------------------------------------------------------------------------------------------------------
::-----------------------------------------------------------------------------------------------------------------------------
set dlog=-Dlog.config=.\Daten\dlogkomplett.txt
set dlog=-Dlog.config=.\Daten\dlog.txt
set xmx=-Xmx10G
::set xmx=-Xmx6G
set zln=0


set Name[1]=Speiche_Fabrik
set FamID[1]=7900
set MapID[1]=79000000
set HexID[1]=DC1E
::goto anf
set Name[2]=Speiche_Kanaren
set FamID[2]=7917
set MapID[2]=79170000
set HexID[2]=ED1E

set Name[3]=Speiche_Deutschland
set FamID[3]=7920
set MapID[3]=79200000
set HexID[3]=F01E

set Name[4]=Speiche_NRWplus
set FamID[4]=7918
set MapID[4]=79180000
set HexID[4]=EE1E

set Name[5]=Speiche_Balearen
set FamID[5]=7919
set MapID[5]=79190000
set HexID[5]=EF1E

set Name[6]=Speiche_Alpen
set FamID[6]=7921
set MapID[6]=79210000
set HexID[6]=F11E


:anf



set /a "zln=%zln%+1"
if "!Name[%zln%]!" == "" goto schluss

echo _______________________________________________________

:: ---Splitter---

echo %time% - splitter !Name[%zln%]!
if not exist .\OSM\!Name[%zln%]!.osm.pbf echo warten auf !Name[%zln%]!.osm.pbf
if not exist .\OSM\!Name[%zln%]!.osm.pbf title warten auf !Name[%zln%]!.osm.pbf
if not exist .\OSM\!Name[%zln%]!.osm.pbf color 5
:warten
if not exist .\OSM\!Name[%zln%]!.osm.pbf goto warten
title splitter !Name[%zln%]!
color 5f
if not exist .\Baustelle\!Name[%zln%]!_Splitter mkdir .\Baustelle\!Name[%zln%]!_Splitter
if exist .\Baustelle\!Name[%zln%]!_Splitter rd .\Baustelle\!Name[%zln%]!_splitter /s /q
"java" -jar %xmx% %dlog% .\Tools\splitter\splitter.jar --mapid=!MapID[%zln%]! --precomp-sea=.\Daten\sea.zip --geonames-file=.\Daten\cities500.txt --route-rel-values --max-areas=8192 --keep-complete=true --write-kml=splitter.kml --output-dir=.\Baustelle\!Name[%zln%]!_Splitter .\OSM\!Name[%zln%]!.osm.pbf .\SRTM\SRTM_!Name[%zln%]!.pbf > nul
color 5f



:: ---mkgmap---
title mkgmap !Name[%zln%]!
color 4f
echo %time% - mkgmap %Pfad% !Name[%zln%]!
if exist .\Baustelle\!Name[%zln%]!_mkgmap rd .\Baustelle\!Name[%zln%]!_mkgmap /s /q
mkdir .\Baustelle\!Name[%zln%]!_mkgmap
copy .\Daten\_Deinstallieren_als_Admin_starten.bat .\Baustelle\!Name[%zln%]!_mkgmap\ > nul
copy .\Daten\_Installieren_als_Admin_starten.bat .\Baustelle\!Name[%zln%]!_mkgmap\ > nul
copy .\Daten\_TYPwechseln.bat .\Baustelle\!Name[%zln%]!_mkgmap\ > nul
copy .\Daten\_TYPwechseln_auf_Garmin_GPS.bat .\Baustelle\!Name[%zln%]!_mkgmap\ > nul
copy .\Tools\gmt.exe .\Baustelle\!Name[%zln%]!_mkgmap\ > nul
set TYPbauen="java" -jar %xmx% %dlog% %Pfad%\mkgmap.jar --family-id=!FamID[%zln%]! --latin1 --output-dir=.\Baustelle\!Name[%zln%]!_mkgmap
%TYPbauen% .\Daten\Speiche_schmal.txt > nul
%TYPbauen% .\Daten\Speiche_schmal_gmapsupp.txt > nul
%TYPbauen% .\Daten\Speiche_schmal_ohneSRTM.txt > nul
%TYPbauen% .\Daten\Speiche_schmal_ohneSRTM_gmapsupp.txt > nul
%TYPbauen% .\Daten\Speiche_schmal_ohneSRTM_ohneText.txt > nul
%TYPbauen% .\Daten\Speiche_schmal_ohneSRTM_ohneText_gmapsupp.txt > nul
%TYPbauen% .\Daten\Speiche_schmal_ohneText.txt > nul
%TYPbauen% .\Daten\Speiche_schmal_ohneText_gmapsupp.txt > nul
%TYPbauen% .\Daten\Speiche_kontrast_schmal.txt > nul
%TYPbauen% .\Daten\Speiche_kontrast_schmal_gmapsupp.txt > nul
%TYPbauen% .\Daten\Speiche_kontrast_schmal_ohneSRTM.txt > nul
%TYPbauen% .\Daten\Speiche_kontrast_schmal_ohneSRTM_gmapsupp.txt > nul
%TYPbauen% .\Daten\Speiche_kontrast_schmal_ohneSRTM_ohneText.txt > nul
%TYPbauen% .\Daten\Speiche_kontrast_schmal_ohneSRTM_ohneText_gmapsupp.txt > nul
%TYPbauen% .\Daten\Speiche_kontrast_schmal_ohneText.txt > nul
%TYPbauen% .\Daten\Speiche_kontrast_schmal_ohneText_gmapsupp.txt > nul
%TYPbauen% .\Daten\Speiche_breit.txt > nul
%TYPbauen% .\Daten\Speiche_breit_gmapsupp.txt > nul
%TYPbauen% .\Daten\Speiche_breit_ohneSRTM.txt > nul
%TYPbauen% .\Daten\Speiche_breit_ohneSRTM_gmapsupp.txt > nul
%TYPbauen% .\Daten\Speiche_breit_ohneSRTM_ohneText.txt > nul
%TYPbauen% .\Daten\Speiche_breit_ohneSRTM_ohneText_gmapsupp.txt > nul
%TYPbauen% .\Daten\Speiche_breit_ohneText.txt > nul
%TYPbauen% .\Daten\Speiche_breit_ohneText_gmapsupp.txt > nul
%TYPbauen% .\Daten\Speiche_kontrast_breit.txt > nul
%TYPbauen% .\Daten\Speiche_kontrast_breit_gmapsupp.txt > nul
%TYPbauen% .\Daten\Speiche_kontrast_breit_ohneSRTM.txt > nul
%TYPbauen% .\Daten\Speiche_kontrast_breit_ohneSRTM_gmapsupp.txt > nul
%TYPbauen% .\Daten\Speiche_kontrast_breit_ohneSRTM_ohneText.txt > nul
%TYPbauen% .\Daten\Speiche_kontrast_breit_ohneSRTM_ohneText_gmapsupp.txt > nul
%TYPbauen% .\Daten\Speiche_kontrast_breit_ohneText.txt > nul
%TYPbauen% .\Daten\Speiche_kontrast_breit_ohneText_gmapsupp.txt > nul

::default typ fuer gmapsupp
copy .\Baustelle\!Name[%zln%]!_mkgmap\Speiche_kontrast_breit_ohneText_gmapsupp.typ .\Baustelle\!Name[%zln%]!_mkgmap\Speiche.typ > nul

rename .\Baustelle\!Name[%zln%]!_mkgmap\Speiche_schmal.typ TYP_!Name[%zln%]!_!FamID[%zln%]!_schmal.typ> nul
rename .\Baustelle\!Name[%zln%]!_mkgmap\Speiche_schmal_gmapsupp.typ TYP_!Name[%zln%]!_!FamID[%zln%]!_schmal_gmapsupp.typ> nul
rename .\Baustelle\!Name[%zln%]!_mkgmap\Speiche_schmal_ohneSRTM.typ TYP_!Name[%zln%]!_!FamID[%zln%]!_schmal_ohneSRTM.typ > nul
rename .\Baustelle\!Name[%zln%]!_mkgmap\Speiche_schmal_ohneSRTM_gmapsupp.typ TYP_!Name[%zln%]!_!FamID[%zln%]!_schmal_ohneSRTM_gmapsupp.typ > nul
rename .\Baustelle\!Name[%zln%]!_mkgmap\Speiche_schmal_ohneSRTM_ohneText.typ TYP_!Name[%zln%]!_!FamID[%zln%]!_schmal_ohneSRTM_ohneText.typ > nul
rename .\Baustelle\!Name[%zln%]!_mkgmap\Speiche_schmal_ohneSRTM_ohneText_gmapsupp.typ TYP_!Name[%zln%]!_!FamID[%zln%]!_schmal_ohneSRTM_ohneText_gmapsupp.typ > nul
rename .\Baustelle\!Name[%zln%]!_mkgmap\Speiche_schmal_ohneText.typ TYP_!Name[%zln%]!_!FamID[%zln%]!_schmal_ohneText.typ > nul
rename .\Baustelle\!Name[%zln%]!_mkgmap\Speiche_schmal_ohneText_gmapsupp.typ TYP_!Name[%zln%]!_!FamID[%zln%]!_schmal_ohneText_gmapsupp.typ > nul

rename .\Baustelle\!Name[%zln%]!_mkgmap\Speiche_kontrast_schmal.typ TYP_!Name[%zln%]!_!FamID[%zln%]!_kontrast_schmal.typ> nul
rename .\Baustelle\!Name[%zln%]!_mkgmap\Speiche_kontrast_schmal_gmapsupp.typ TYP_!Name[%zln%]!_!FamID[%zln%]!_kontrast_schmal_gmapsupp.typ> nul
rename .\Baustelle\!Name[%zln%]!_mkgmap\Speiche_kontrast_schmal_ohneSRTM.typ TYP_!Name[%zln%]!_!FamID[%zln%]!_kontrast_schmal_ohneSRTM.typ > nul
rename .\Baustelle\!Name[%zln%]!_mkgmap\Speiche_kontrast_schmal_ohneSRTM_gmapsupp.typ TYP_!Name[%zln%]!_!FamID[%zln%]!_kontrast_schmal_ohneSRTM_gmapsupp.typ > nul
rename .\Baustelle\!Name[%zln%]!_mkgmap\Speiche_kontrast_schmal_ohneSRTM_ohneText.typ TYP_!Name[%zln%]!_!FamID[%zln%]!_kontrast_schmal_ohneSRTM_ohneText.typ > nul
rename .\Baustelle\!Name[%zln%]!_mkgmap\Speiche_kontrast_schmal_ohneSRTM_ohneText_gmapsupp.typ TYP_!Name[%zln%]!_!FamID[%zln%]!_kontrast_schmal_ohneSRTM_ohneText_gmapsupp.typ > nul
rename .\Baustelle\!Name[%zln%]!_mkgmap\Speiche_kontrast_schmal_ohneText.typ TYP_!Name[%zln%]!_!FamID[%zln%]!_kontrast_schmal_ohneText.typ > nul
rename .\Baustelle\!Name[%zln%]!_mkgmap\Speiche_kontrast_schmal_ohneText_gmapsupp.typ TYP_!Name[%zln%]!_!FamID[%zln%]!_kontrast_schmal_ohneText_gmapsupp.typ > nul

rename .\Baustelle\!Name[%zln%]!_mkgmap\Speiche_breit.typ TYP_!Name[%zln%]!_!FamID[%zln%]!_breit.typ> nul
rename .\Baustelle\!Name[%zln%]!_mkgmap\Speiche_breit_gmapsupp.typ TYP_!Name[%zln%]!_!FamID[%zln%]!_breit_gmapsupp.typ> nul
rename .\Baustelle\!Name[%zln%]!_mkgmap\Speiche_breit_ohneSRTM.typ TYP_!Name[%zln%]!_!FamID[%zln%]!_breit_ohneSRTM.typ > nul
rename .\Baustelle\!Name[%zln%]!_mkgmap\Speiche_breit_ohneSRTM_gmapsupp.typ TYP_!Name[%zln%]!_!FamID[%zln%]!_breit_ohneSRTM_gmapsupp.typ > nul
rename .\Baustelle\!Name[%zln%]!_mkgmap\Speiche_breit_ohneSRTM_ohneText.typ TYP_!Name[%zln%]!_!FamID[%zln%]!_breit_ohneSRTM_ohneText.typ > nul
rename .\Baustelle\!Name[%zln%]!_mkgmap\Speiche_breit_ohneSRTM_ohneText_gmapsupp.typ TYP_!Name[%zln%]!_!FamID[%zln%]!_breit_ohneSRTM_ohneText_gmapsupp.typ > nul
rename .\Baustelle\!Name[%zln%]!_mkgmap\Speiche_breit_ohneText.typ TYP_!Name[%zln%]!_!FamID[%zln%]!_breit_ohneText.typ > nul
rename .\Baustelle\!Name[%zln%]!_mkgmap\Speiche_breit_ohneText_gmapsupp.typ TYP_!Name[%zln%]!_!FamID[%zln%]!_breit_ohneText_gmapsupp.typ > nul

rename .\Baustelle\!Name[%zln%]!_mkgmap\Speiche_kontrast_breit.typ TYP_!Name[%zln%]!_!FamID[%zln%]!_kontrast_breit.typ> nul
rename .\Baustelle\!Name[%zln%]!_mkgmap\Speiche_kontrast_breit_gmapsupp.typ TYP_!Name[%zln%]!_!FamID[%zln%]!_kontrast_breit_gmapsupp.typ> nul
rename .\Baustelle\!Name[%zln%]!_mkgmap\Speiche_kontrast_breit_ohneSRTM.typ TYP_!Name[%zln%]!_!FamID[%zln%]!_kontrast_breit_ohneSRTM.typ > nul
rename .\Baustelle\!Name[%zln%]!_mkgmap\Speiche_kontrast_breit_ohneSRTM_gmapsupp.typ TYP_!Name[%zln%]!_!FamID[%zln%]!_kontrast_breit_ohneSRTM_gmapsupp.typ > nul
rename .\Baustelle\!Name[%zln%]!_mkgmap\Speiche_kontrast_breit_ohneSRTM_ohneText.typ TYP_!Name[%zln%]!_!FamID[%zln%]!_kontrast_breit_ohneSRTM_ohneText.typ > nul
rename .\Baustelle\!Name[%zln%]!_mkgmap\Speiche_kontrast_breit_ohneSRTM_ohneText_gmapsupp.typ TYP_!Name[%zln%]!_!FamID[%zln%]!_kontrast_breit_ohneSRTM_ohneText_gmapsupp.typ > nul
rename .\Baustelle\!Name[%zln%]!_mkgmap\Speiche_kontrast_breit_ohneText.typ TYP_!Name[%zln%]!_!FamID[%zln%]!_kontrast_breit_ohneText.typ > nul
rename .\Baustelle\!Name[%zln%]!_mkgmap\Speiche_kontrast_breit_ohneText_gmapsupp.typ TYP_!Name[%zln%]!_!FamID[%zln%]!_kontrast_breit_ohneText_gmapsupp.typ > nul

if exist .\Baustelle\!Name[%zln%]!_mkgmap\osmmap* del .\Baustelle\!Name[%zln%]!_mkgmap\osmmap* > nul


"java" -jar %xmx% -enableassertions %dlog% %Pfad%\mkgmap.jar --output-dir=.\Baustelle\!Name[%zln%]!_mkgmap --style-file=.\Daten\styles_base --family-id=!FamID[%zln%]! --region-name=!Name[%zln%]! --series-name=!Name[%zln%]!_%Datum% --family-name=!Name[%zln%]! --area-name=!Name[%zln%]! --overview-mapname=!Name[%zln%]! --dem-poly=.\Daten\poly\!Name[%zln%]!.poly --road-name-config=%Pfad%\examples\roadNameConfig.txt -c .\Daten\mkgmap_options.args -c .\Baustelle\!Name[%zln%]!_Splitter\template.args --description=!Name[%zln%]!_%Datum%  .\Baustelle\!Name[%zln%]!_mkgmap\Speiche.TYP > nul
rename .\Baustelle\!Name[%zln%]!_mkgmap\gmapsupp.img !Name[%zln%]!_gmapsupp.img > nul


:kopieren
title kopieren !Name[%zln%]!
:: ---Nach H_Upload kopieren---
color 0b
echo %time% - copy move loeschen
copy .\Baustelle\!Name[%zln%]!_mkgmap\TYP* .\Baustelle\!Name[%zln%]!_mkgmap\!Name[%zln%]!.gmap\ > nul
copy .\Baustelle\!Name[%zln%]!_mkgmap\_TYP* .\Baustelle\!Name[%zln%]!_mkgmap\!Name[%zln%]!.gmap\ > nul
copy .\Baustelle\!Name[%zln%]!_mkgmap\gmt.exe .\Baustelle\!Name[%zln%]!_mkgmap\!Name[%zln%]!.gmap > nul
if exist .\Baustelle\!Name[%zln%]!_mkgmap\!Name[%zln%]! rd .\Baustelle\!Name[%zln%]!_mkgmap\!Name[%zln%]! /s /q > nul
mkdir .\Baustelle\!Name[%zln%]!_mkgmap\!Name[%zln%]! > nul
move .\Baustelle\!Name[%zln%]!_mkgmap\*gmapsupp* .\Baustelle\!Name[%zln%]!_mkgmap\!Name[%zln%]! > nul
copy .\Baustelle\!Name[%zln%]!_mkgmap\Speiche* .\Baustelle\!Name[%zln%]!_mkgmap\!Name[%zln%]! > nul
copy .\Baustelle\!Name[%zln%]!_mkgmap\_* .\Baustelle\!Name[%zln%]!_mkgmap\!Name[%zln%]! > nul
copy .\Baustelle\!Name[%zln%]!_mkgmap\TYP* .\Baustelle\!Name[%zln%]!_mkgmap\!Name[%zln%]! > nul
copy .\Baustelle\!Name[%zln%]!_mkgmap\gmt.exe .\Baustelle\!Name[%zln%]!_mkgmap\!Name[%zln%]! > nul
del .\Baustelle\!Name[%zln%]!_mkgmap\!Name[%zln%]!.gmap\Speiche.typ >nul
::default TYP BaseCamp
copy .\Baustelle\!Name[%zln%]!_mkgmap\!Name[%zln%]!.gmap\TYP_!Name[%zln%]!_!FamID[%zln%]!_schmal.typ .\Baustelle\!Name[%zln%]!_mkgmap\!Name[%zln%]!.gmap\Speiche.typ >nul


:loeschen
title loeschen !Name[%zln%]!
if exist .\Baustelle\!Name[%zln%]!_mkgmap (
del .\Baustelle\!Name[%zln%]!_mkgmap\*img
del .\Baustelle\!Name[%zln%]!_mkgmap\*typ
del .\Baustelle\!Name[%zln%]!_mkgmap\*exe
del .\Baustelle\!Name[%zln%]!_mkgmap\*bat
del .\Baustelle\!Name[%zln%]!_mkgmap\*tdb
del .\Baustelle\!Name[%zln%]!_mkgmap\*mdx
if /i "!Name[%zln%]!" neq "Speiche_Fabrik" rd .\Baustelle\!Name[%zln%]!_splitter /s /q
)


:gmapnachmaps
::goto nogmapnachmaps
title gmap nach maps !Name[%zln%]!
color 0b
echo %time% - !Name[%zln%]!.gmap nach C:\ProgramData\GARMIN\Maps\ 
if exist C:\ProgramData\GARMIN\Maps\!Name[%zln%]!.gmap rd C:\ProgramData\GARMIN\Maps\!Name[%zln%]!.gmap /s /q
::mklink /J C:\ProgramData\GARMIN\Maps\!Name[%zln%]!.gmap\ .\Baustelle\!Name[%zln%]!_mkgmap\!Name[%zln%]!.gmap > nul
xcopy .\Baustelle\!Name[%zln%]!_mkgmap\!Name[%zln%]!.gmap C:\ProgramData\GARMIN\Maps\!Name[%zln%]!.gmap\ /E > NUL
del C:\ProgramData\GARMIN\Maps\!Name[%zln%]!.gmap\Speiche.typ > nul
copy .\Baustelle\!Name[%zln%]!_mkgmap\!Name[%zln%]!.gmap\TYP_!Name[%zln%]!_!FamID[%zln%]!_kontrast_schmal.typ C:\ProgramData\GARMIN\Maps\!Name[%zln%]!.gmap\Speiche.typ > nul 
:nogmapnachmaps


:: ---7zip---
:zippen
::if "!Name[%zln%]!" == "Speiche_Fabrik" goto nozip
title 7zip !Name[%zln%]!
color 3e
echo %time% - zippe gmapsupp
if exist .\HP_Upload\!Name[%zln%]!_*.zip del .\HP_Upload\!Name[%zln%]!_*.zip
"C:\Program Files\7-Zip\7z.exe" a -tzip ".\HP_Upload\!Name[%zln%]!_%Datum%" ".\Baustelle\!Name[%zln%]!_mkgmap\!Name[%zln%]!" > nul
echo %time% - zippe gmap
if exist .\HP_Upload\!Name[%zln%]!*.zip if exist .\HP_Upload\!Name[%zln%]!\!Name[%zln%]!* del .\HP_Upload\!Name[%zln%]!\!Name[%zln%]!*
"C:\Program Files\7-Zip\7z.exe" a -tzip ".\HP_Upload\!Name[%zln%]!_gmap_%Datum%" ".\Baustelle\!Name[%zln%]!_mkgmap\!Name[%zln%]!.gmap" > nul
:nozip


color ac
title Fertig! !Name[%zln%]!
echo %time% - Fertig mit !Name[%zln%]!

echo _______________________________________________________
::-----------------------------------------------------------------------------------------------------------------------------
::-----------------------------------------------------------------------------------------------------------------------------

goto anf

:schluss
title Fertig
echo ________________________________________________________
color ac
echo %time% - Alles fertig
if /i "%runter%" == "1" shutdown -s -f
echo Taste druecken zum schliessen
pause >nul